=====
Model
=====

This details the model API.

.. automodule:: sloth.annotations.model

.. autoclass:: AnnotationModel
    :members:
    :undoc-members:

.. autoclass:: ModelItem
    :members:
    :undoc-members:

.. autoclass:: RootModelItem
    :members:
    :undoc-members:

.. autoclass:: FileModelItem
    :members:
    :undoc-members:

.. autoclass:: ImageFileModelItem
    :members:
    :undoc-members:

.. autoclass:: VideoFileModelItem
    :members:
    :undoc-members:

.. autoclass:: FrameModelItem
    :members:
    :undoc-members:

.. autoclass:: AnnotationModelItem
    :members:
    :undoc-members:

.. autoclass:: KeyValueModelItem
    :members:
    :undoc-members:
